## xfce4-whiskermenu-plugin 2.7.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2023 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.9)

project(whiskermenu VERSION 2.7.2)

# options
string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
if(CMAKE_BUILD_TYPE_TOLOWER MATCHES "release|minsizerel")
	set(whiskermenu_strip ON)
endif()
if(CMAKE_BUILD_TYPE_TOLOWER MATCHES "release|minsizerel|relwithdebinfo")
	set(whiskermenu_lto ON)
endif()

option(ENABLE_ACCOUNTSSERVICE "Enable building with AccountsService" ON)
option(ENABLE_VISIBILITY "Enable ELF visibility attributes" ON)
option(ENABLE_AS_NEEDED "Enable -Wl,--as-needed for the linker" ON)
option(ENABLE_LINKER_OPTIMIZED_HASH_TABLES "Enable -Wl,-O1 for the linker" ON)
option(ENABLE_LINK_TIME_OPTIMIZATION "Enable link time optimization" ${whiskermenu_lto})
option(ENABLE_STRIP "Enable automatic stripping of release builds" ${whiskermenu_strip})
option(ENABLE_DEVELOPER_MODE "Enable strict checks to help with development" OFF)

include(GNUInstallDirs)

add_subdirectory(icons)
add_subdirectory(panel-plugin)
add_subdirectory(po)

# uninstall target
if(NOT TARGET uninstall)
	configure_file(
		${CMAKE_CURRENT_SOURCE_DIR}/cmake/uninstall.cmake.in
		${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake
		IMMEDIATE @ONLY)
	add_custom_target(uninstall
		${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake)
endif()

=== icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

set(INSTALL_ICONDIR ${CMAKE_INSTALL_DATADIR}/icons/hicolor)

install(FILES hi16-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/16x16/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hi22-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/22x22/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hi24-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/24x24/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hi32-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/32x32/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hi48-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/48x48/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hi64-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/64x64/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hi128-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/128x128/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hi256-app-whiskermenu.png
        DESTINATION ${INSTALL_ICONDIR}/256x256/apps
        RENAME org.xfce.panel.whiskermenu.png)

install(FILES hisc-app-whiskermenu.svg
        DESTINATION ${INSTALL_ICONDIR}/scalable/apps
        RENAME org.xfce.panel.whiskermenu.svg)

=== panel-plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2022 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

include(../cmake/AddVersionCompileDefinition.cmake)
add_version_compile_definition(plugin.cpp PACKAGE_VERSION)

find_package(PkgConfig REQUIRED)
pkg_check_modules(GTK3 REQUIRED IMPORTED_TARGET gtk+-3.0>=3.22)
pkg_check_modules(exo REQUIRED IMPORTED_TARGET exo-2>=0.11)
pkg_check_modules(garcon REQUIRED IMPORTED_TARGET garcon-1)
pkg_check_modules(libxfce4panel REQUIRED IMPORTED_TARGET libxfce4panel-2.0>=4.11)
pkg_check_modules(libxfce4ui REQUIRED IMPORTED_TARGET libxfce4ui-2>=4.11)
pkg_check_modules(libxfce4util REQUIRED IMPORTED_TARGET libxfce4util-1.0>=4.11)
if(ENABLE_ACCOUNTSSERVICE)
	pkg_check_modules(accountsservice IMPORTED_TARGET accountsservice>=0.6.45)
endif()

add_library(whiskermenu MODULE
	applications-page.cpp
	category.cpp
	category-button.cpp
	command.cpp
	command-edit.cpp
	element.cpp
	favorites-page.cpp
	icon-renderer.cpp
	icon-size.cpp
	image-menu-item.h
	launcher.cpp
	launcher-icon-view.cpp
	launcher-tree-view.cpp
	page.cpp
	plugin.cpp
	profile.cpp
	query.cpp
	recent-page.cpp
	register-plugin.c
	resizer.cpp
	run-action.cpp
	search-action.cpp
	search-page.cpp
	settings.cpp
	settings-dialog.cpp
	slot.h
	window.cpp)

target_link_libraries(whiskermenu PRIVATE
	PkgConfig::GTK3
	PkgConfig::exo
	PkgConfig::garcon
	PkgConfig::libxfce4panel
	PkgConfig::libxfce4ui
	PkgConfig::libxfce4util)

target_compile_options(whiskermenu PRIVATE -Wall -Wextra)

target_compile_definitions(whiskermenu PRIVATE
	GETTEXT_PACKAGE="xfce4-whiskermenu-plugin"
	PACKAGE_LOCALE_DIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
	PACKAGE_NAME="xfce4-whiskermenu-plugin"
	BINDIR="${CMAKE_INSTALL_FULL_BINDIR}"
	DATADIR="${CMAKE_INSTALL_FULL_DATADIR}"
	SETTINGS_MENUFILE="${CMAKE_INSTALL_FULL_SYSCONFDIR}/xdg/menus/xfce-settings-manager.menu"
	G_LOG_DOMAIN="whiskermenu"
	GSEAL_ENABLE
	GTK_MULTIHEAD_SAFE
	$<$<NOT:$<CONFIG:Debug>>:G_DISABLE_ASSERT G_DISABLE_CAST_CHECKS>)

target_compile_features(whiskermenu PRIVATE cxx_std_11)

if (accountsservice_FOUND)
	target_link_libraries(whiskermenu PRIVATE
		PkgConfig::accountsservice)
	target_compile_definitions(whiskermenu PRIVATE
		HAS_ACCOUNTSERVICE)
endif()

if(ENABLE_VISIBILITY)
	set_target_properties(whiskermenu PROPERTIES CXX_VISIBILITY_PRESET hidden)
endif()

if(${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.13.0")
	if(ENABLE_AS_NEEDED)
		target_link_options(whiskermenu PRIVATE "LINKER:--as-needed")
	endif()

	if(ENABLE_LINKER_OPTIMIZED_HASH_TABLES)
		target_link_options(whiskermenu PRIVATE "LINKER:-O1")
	endif()

	if(ENABLE_DEVELOPER_MODE)
		target_link_options(whiskermenu PRIVATE "LINKER:-z,defs")
	endif()
else()
	if(ENABLE_AS_NEEDED)
		set_property(TARGET whiskermenu APPEND_STRING PROPERTY LINK_FLAGS " -Wl,--as-needed")
	endif()

	if(ENABLE_LINKER_OPTIMIZED_HASH_TABLES)
		set_property(TARGET whiskermenu APPEND_STRING PROPERTY LINK_FLAGS " -Wl,-O1")
	endif()

	if(ENABLE_DEVELOPER_MODE)
		set_property(TARGET whiskermenu APPEND_STRING PROPERTY LINK_FLAGS " -Wl,-z,defs")
	endif()
endif()

if(ENABLE_DEVELOPER_MODE)
	target_compile_options(whiskermenu PRIVATE -Werror)
	target_compile_definitions(whiskermenu PRIVATE
		XFCE_DISABLE_DEPRECATED
		G_DISABLE_DEPRECATED
		GDK_DISABLE_DEPRECATED
		GDK_PIXBUF_DISABLE_DEPRECATED
		GDK_DISABLE_SINGLE_INCLUDES
		GDK_PIXBUF_DISABLE_SINGLE_INCLUDES
		GTK_DISABLE_SINGLE_INCLUDES)
endif()

if(ENABLE_LINK_TIME_OPTIMIZATION)
	include(CheckIPOSupported)
	check_ipo_supported(RESULT result)
	if(result)
		set_target_properties(whiskermenu PROPERTIES INTERPROCEDURAL_OPTIMIZATION TRUE)
	endif()
endif()

if(ENABLE_STRIP)
	add_custom_command(TARGET whiskermenu POST_BUILD
		COMMAND ${CMAKE_STRIP} $<TARGET_FILE:whiskermenu>)
endif()

install(TARGETS whiskermenu LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/xfce4/panel/plugins)

# popup script
configure_file(${PROJECT_SOURCE_DIR}/panel-plugin/xfce4-popup-whiskermenu.in
	${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu ESCAPE_QUOTES @ONLY)
install(PROGRAMS ${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu
	DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES xfce4-popup-whiskermenu.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 COMPONENT doc)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.7.2-1) unstable; urgency=medium

  * Team upload.

  [ Akbarkhon Variskhanov ]
  * d/rules: Drop --as-needed from LDFLAGS
  * d/rules: Drop override_dh_auto_install

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Unit 193 ]
  * New upstream version 2.7.2.
  * d/rules: Opt-out of trimmed changelogs.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Mon, 30 Jan 2023 04:05:42 -0500

=== debian/control ===
Source: xfce4-whiskermenu-plugin
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               libexo-2-dev,
               libgarcon-1-0-dev,
               libgtk-3-dev,
               libxfce4panel-2.0-dev,
               libxfce4ui-2-dev,
               libxfce4util-dev,
               pkg-config
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://docs.xfce.org/panel-plugins/xfce4-whiskermenu-plugin
Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin.git
Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin

Package: xfce4-whiskermenu-plugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: mugshot
Multi-Arch: same
Description: Alternate menu plugin for the Xfce desktop environment
 Whisker Menu is an alternate application launcher for Xfce. When you open it
 you are shown a list of applications you have marked as favorites. You can
 browse through all of your installed applications by clicking on the category
 buttons on the side. Top level categories make browsing fast, and simple to
 switch between. Additionally, Whisker Menu keeps a list of the last ten
 applications that you've launched from it.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)

override_dh_installchangelogs:
	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS

## xfce4-whiskermenu-plugin 2.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.9)
 
-project(whiskermenu VERSION 2.7.2)
+project(whiskermenu VERSION 2.7.3)
 
 # options
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)

=== po/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2020 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

find_package(Gettext 0.19.1 REQUIRED)

# Generate translations
file(GLOB _po_files *.po)
foreach(_po_file ${_po_files})
	get_filename_component(_lang ${_po_file} NAME_WE)
	list(APPEND _linguas ${_lang})

	set(_gmo_file ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
	list(APPEND _gmo_files ${_gmo_file})

	add_custom_command(
		OUTPUT ${_gmo_file}
		COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmo_file} ${_po_file}
		DEPENDS ${_po_file}
	)
	install(
		FILES ${_gmo_file}
		DESTINATION ${CMAKE_INSTALL_LOCALEDIR}/${_lang}/LC_MESSAGES/
		RENAME xfce4-whiskermenu-plugin.mo
	)
endforeach()
add_custom_target(translations ALL DEPENDS ${_gmo_files})

# Generate desktop file
add_custom_command(
	OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS
	COMMAND ${CMAKE_COMMAND} -E echo "${_linguas}" > ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS
	COMMAND_EXPAND_LISTS
	COMMENT "Generating LINGUAS"
)
add_custom_command(
	OUTPUT whiskermenu.desktop
	COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
		--desktop
		--template=${PROJECT_SOURCE_DIR}/panel-plugin/whiskermenu.desktop.in
		-d ${CMAKE_CURRENT_SOURCE_DIR}
		-o whiskermenu.desktop
	DEPENDS ${_po_files} ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS
)
install(
	FILES ${CMAKE_CURRENT_BINARY_DIR}/whiskermenu.desktop
	DESTINATION ${CMAKE_INSTALL_DATADIR}/xfce4/panel/plugins
)
add_custom_target(desktopfile ALL DEPENDS whiskermenu.desktop)

# Generate translations template
find_program(XGETTEXT_EXECUTABLE xgettext)
if(XGETTEXT_EXECUTABLE)
	add_custom_target(update_pot
		COMMAND ${XGETTEXT_EXECUTABLE}
			--output=xfce4-whiskermenu-plugin.pot
			--from-code=UTF-8
			--c++ --keyword=_
			--sort-output
			--package-name='Whisker Menu'
			--copyright-holder='Graeme Gott'
			../panel-plugin/*.cpp ../panel-plugin/*.h
		COMMAND ${XGETTEXT_EXECUTABLE}
			--output=xfce4-whiskermenu-plugin.pot
			--join-existing
			--from-code=UTF-8
			-k --keyword=Name --keyword=Comment
			--sort-output
			--package-name='Whisker Menu'
			--copyright-holder='Graeme Gott'
			../panel-plugin/whiskermenu.desktop.in
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
		COMMENT "Generating xfce4-whiskermenu-plugin.pot"
	)
endif()

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.7.3.

 -- Unit 193 <unit193@debian.org>  Fri, 16 Jun 2023 03:03:41 -0400

## xfce4-whiskermenu-plugin 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 #
 # SPDX-License-Identifier: GPL-2.0-or-later
 
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.16)
 
-project(whiskermenu VERSION 2.7.3)
+project(whiskermenu VERSION 2.8.0)
 
 # options
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
@@ -15,7 +15,8 @@
 	set(whiskermenu_lto ON)
 endif()
 
-option(ENABLE_ACCOUNTSSERVICE "Enable building with AccountsService" ON)
+option(ENABLE_ACCOUNTS_SERVICE "Enable building with AccountsService" ON)
+option(ENABLE_GTK_LAYER_SHELL "Enable support for positioning in Wayland" ON)
 option(ENABLE_VISIBILITY "Enable ELF visibility attributes" ON)
 option(ENABLE_AS_NEEDED "Enable -Wl,--as-needed for the linker" ON)
 option(ENABLE_LINKER_OPTIMIZED_HASH_TABLES "Enable -Wl,-O1 for the linker" ON)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.8.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 07 Oct 2023 13:37:13 -0700

xfce4-whiskermenu-plugin (2.8.0-1) unstable; urgency=medium

  [ Akbarkhon Variskhanov ]
  * debian/copyright: Add Upstream-Contact and License

  [ Yves-Alexis Perez ]
  * New upstream version 2.8.0

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 05 Sep 2023 21:50:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfce4-whiskermenu-plugin
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -9,6 +10,7 @@
                libexo-2-dev,
                libgarcon-1-0-dev,
                libgtk-3-dev,
+               libgtk-layer-shell-dev,
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,
@@ -23,7 +25,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: mugshot
-Multi-Arch: same
 Description: Alternate menu plugin for the Xfce desktop environment
  Whisker Menu is an alternate application launcher for Xfce. When you open it
  you are shown a list of applications you have marked as favorites. You can

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,12 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
+		-DENABLE_ACCOUNTS_SERVICE=no
 
 override_dh_installchangelogs:
 	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## xfce4-whiskermenu-plugin 2.8.1

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.8.1.

 -- Unit 193 <unit193@debian.org>  Thu, 09 Nov 2023 20:09:15 -0500

## xfce4-whiskermenu-plugin 2.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-project(whiskermenu VERSION 2.8.0)
+project(whiskermenu VERSION 2.8.2)
 
 # options
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.8.2.

 -- Unit 193 <unit193@debian.org>  Tue, 28 Nov 2023 21:48:33 -0500

## xfce4-whiskermenu-plugin 2.8.3

=== panel-plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2022 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

include(../cmake/AddVersionCompileDefinition.cmake)
add_version_compile_definition(plugin.cpp PACKAGE_VERSION)
add_version_compile_definition(xfce4-popup-whiskermenu.cpp PACKAGE_VERSION)

find_package(PkgConfig REQUIRED)
pkg_check_modules(gio REQUIRED IMPORTED_TARGET gio-2.0)
pkg_check_modules(GTK3 REQUIRED IMPORTED_TARGET gtk+-3.0>=3.22)
pkg_check_modules(exo REQUIRED IMPORTED_TARGET exo-2>=0.12)
pkg_check_modules(garcon REQUIRED IMPORTED_TARGET garcon-1>=0.6.4)
pkg_check_modules(libxfce4panel REQUIRED IMPORTED_TARGET libxfce4panel-2.0>=4.14)
pkg_check_modules(libxfce4ui REQUIRED IMPORTED_TARGET libxfce4ui-2>=4.14)
pkg_check_modules(libxfce4util REQUIRED IMPORTED_TARGET libxfce4util-1.0>=4.14)
pkg_check_modules(libxfconf REQUIRED IMPORTED_TARGET libxfconf-0>=4.14)

# plugin
add_library(whiskermenu MODULE
	applications-page.cpp
	category.cpp
	category-button.cpp
	command.cpp
	command-edit.cpp
	element.cpp
	favorites-page.cpp
	icon-renderer.cpp
	icon-size.cpp
	image-menu-item.h
	launcher.cpp
	launcher-icon-view.cpp
	launcher-tree-view.cpp
	page.cpp
	plugin.cpp
	profile.cpp
	query.cpp
	recent-page.cpp
	register-plugin.c
	run-action.cpp
	search-action.cpp
	search-page.cpp
	settings.cpp
	settings-dialog.cpp
	slot.h
	window.cpp)

target_link_libraries(whiskermenu PRIVATE
	PkgConfig::GTK3
	PkgConfig::exo
	PkgConfig::garcon
	PkgConfig::libxfce4panel
	PkgConfig::libxfce4ui
	PkgConfig::libxfce4util
	PkgConfig::libxfconf)

target_compile_options(whiskermenu PRIVATE -Wall -Wextra)

target_compile_definitions(whiskermenu PRIVATE
	GETTEXT_PACKAGE="xfce4-whiskermenu-plugin"
	PACKAGE_LOCALE_DIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
	PACKAGE_NAME="xfce4-whiskermenu-plugin"
	BINDIR="${CMAKE_INSTALL_FULL_BINDIR}"
	DATADIR="${CMAKE_INSTALL_FULL_DATADIR}"
	SETTINGS_MENUFILE="${CMAKE_INSTALL_FULL_SYSCONFDIR}/xdg/menus/xfce-settings-manager.menu"
	G_LOG_DOMAIN="whiskermenu"
	GSEAL_ENABLE
	GTK_MULTIHEAD_SAFE
	$<$<NOT:$<CONFIG:Debug>>:G_DISABLE_ASSERT G_DISABLE_CAST_CHECKS>)

target_compile_features(whiskermenu PRIVATE cxx_std_11)

if(ENABLE_ACCOUNTS_SERVICE)
	pkg_check_modules(accountsservice REQUIRED IMPORTED_TARGET accountsservice>=0.6.45)
	target_link_libraries(whiskermenu PRIVATE PkgConfig::accountsservice)
	target_compile_definitions(whiskermenu PRIVATE HAVE_ACCOUNTS_SERVICE)
endif()

if(ENABLE_GTK_LAYER_SHELL)
	pkg_check_modules(gtklayershell REQUIRED IMPORTED_TARGET gtk-layer-shell-0>=0.7)
	target_link_libraries(whiskermenu PRIVATE PkgConfig::gtklayershell)
	target_compile_definitions(whiskermenu PRIVATE HAVE_GTK_LAYER_SHELL)
endif()

# popup
add_executable(xfce4-popup-whiskermenu xfce4-popup-whiskermenu.cpp)

target_link_libraries(xfce4-popup-whiskermenu PRIVATE
	PkgConfig::gio
	PkgConfig::libxfconf)

target_compile_options(xfce4-popup-whiskermenu PRIVATE -Wall -Wextra)

target_compile_definitions(xfce4-popup-whiskermenu PRIVATE
	GETTEXT_PACKAGE="xfce4-whiskermenu-plugin"
	PACKAGE_LOCALE_DIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
	PACKAGE_NAME="xfce4-popup-whiskermenu"
	G_LOG_DOMAIN="whiskermenu"
	GSEAL_ENABLE
	$<$<CONFIG:Release>:G_DISABLE_ASSERT G_DISABLE_CAST_CHECKS>
	$<$<CONFIG:MinSizeRel>:G_DISABLE_ASSERT G_DISABLE_CAST_CHECKS>
	$<$<CONFIG:RelWithDebInfo>:G_DISABLE_ASSERT G_DISABLE_CAST_CHECKS>)

# options
if(ENABLE_VISIBILITY)
	set_target_properties(whiskermenu PROPERTIES CXX_VISIBILITY_PRESET hidden)
endif()

if(ENABLE_AS_NEEDED)
	target_link_options(whiskermenu PRIVATE "LINKER:--as-needed")
endif()

if(ENABLE_LINKER_OPTIMIZED_HASH_TABLES)
	target_link_options(whiskermenu PRIVATE "LINKER:-O1")
endif()

if(ENABLE_DEVELOPER_MODE)
	target_link_options(whiskermenu PRIVATE "LINKER:-z,defs")
endif()

if(ENABLE_DEVELOPER_MODE)
	target_compile_options(whiskermenu PRIVATE -Werror)
	target_compile_definitions(whiskermenu PRIVATE
		XFCE_DISABLE_DEPRECATED
		G_DISABLE_DEPRECATED
		GDK_DISABLE_DEPRECATED
		GDK_PIXBUF_DISABLE_DEPRECATED
		GDK_DISABLE_SINGLE_INCLUDES
		GDK_PIXBUF_DISABLE_SINGLE_INCLUDES
		GTK_DISABLE_SINGLE_INCLUDES)

	target_compile_options(xfce4-popup-whiskermenu PRIVATE -Werror)
	target_compile_definitions(xfce4-popup-whiskermenu PRIVATE
		G_DISABLE_DEPRECATED)
endif()

if(ENABLE_LINK_TIME_OPTIMIZATION)
	include(CheckIPOSupported)
	check_ipo_supported(RESULT result)
	if(result)
		set_target_properties(whiskermenu PROPERTIES INTERPROCEDURAL_OPTIMIZATION TRUE)
	endif()
endif()

if(ENABLE_STRIP)
	add_custom_command(TARGET whiskermenu POST_BUILD
		COMMAND ${CMAKE_STRIP} $<TARGET_FILE:whiskermenu>)
	add_custom_command(TARGET xfce4-popup-whiskermenu POST_BUILD
		COMMAND ${CMAKE_STRIP} $<TARGET_FILE:xfce4-popup-whiskermenu>)
endif()

# install plugin
install(TARGETS whiskermenu LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/xfce4/panel/plugins)

# install popup
install(TARGETS xfce4-popup-whiskermenu RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES xfce4-popup-whiskermenu.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 COMPONENT doc)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.8.3-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Disable Wayland's gtk-layer-shell, it's too old in Bullseye.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 27 Jul 2024 11:03:13 -0700

xfce4-whiskermenu-plugin (2.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.8.3.

 -- Unit 193 <unit193@debian.org>  Sat, 20 Jan 2024 00:56:41 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libexo-2-dev,
                libgarcon-1-0-dev,
                libgtk-3-dev,
-               libgtk-layer-shell-dev,
+#               libgtk-layer-shell-dev,
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,13 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
-		-DENABLE_ACCOUNTS_SERVICE=no
+		-DENABLE_ACCOUNTS_SERVICE=no \
+		-DENABLE_GTK_LAYER_SHELL=no #too old in Bullseye
 
 override_dh_installchangelogs:
 	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS
 
 # No dbgsym packages:
 override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym

## xfce4-whiskermenu-plugin 2.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-project(whiskermenu VERSION 2.8.2)
+project(whiskermenu VERSION 2.8.4)
 
 # options
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.8.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.8.4.
  * d/control: Correct B-D, libgarcon-1-0-dev → libgarcon-1-dev.
    (Closes: #1092418)

 -- Unit 193 <unit193@debian.org>  Sun, 12 Jan 2025 22:50:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: xfce4-whiskermenu-plugin
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                gettext,
                libexo-2-dev,
-               libgarcon-1-0-dev,
+               libgarcon-1-dev,
                libgtk-3-dev,
-#               libgtk-layer-shell-dev,
+               libgtk-layer-shell-dev,
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,

## xfce4-whiskermenu-plugin 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-# SPDX-FileCopyrightText: 2013-2023 Graeme Gott <graeme@gottcode.org>
+# SPDX-FileCopyrightText: 2013-2025 Graeme Gott <graeme@gottcode.org>
 #
 # SPDX-License-Identifier: GPL-2.0-or-later
 
 cmake_minimum_required(VERSION 3.16)
 
-project(whiskermenu VERSION 2.8.4)
+project(whiskermenu VERSION 2.9.0)
 
 # options
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.9.0.
  * d/control: Update B-D, pkg-config → pkgconf.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Tue, 04 Feb 2025 01:11:56 -0500

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,
-               pkg-config
+               pkgconf
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://docs.xfce.org/panel-plugins/xfce4-whiskermenu-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin

## xfce4-whiskermenu-plugin 2.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-project(whiskermenu VERSION 2.9.0)
+project(whiskermenu VERSION 2.9.1)
 
 # options
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.9.1-2) unstable; urgency=medium

  * New revision to restore proper changelog history in Debian.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 15 Feb 2025 10:48:39 +0100

xfce4-whiskermenu-plugin (2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 15 Feb 2025 10:47:39 +0100

## xfce4-whiskermenu-plugin 2.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-project(whiskermenu VERSION 2.9.1)
+project(whiskermenu VERSION 2.9.2)
 
 # options
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)

=== panel-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2013-2022 Graeme Gott <graeme@gottcode.org>
+# SPDX-FileCopyrightText: 2013-2025 Graeme Gott <graeme@gottcode.org>
 #
 # SPDX-License-Identifier: GPL-2.0-or-later
 
@@ -9,12 +9,12 @@
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(gio REQUIRED IMPORTED_TARGET gio-2.0)
 pkg_check_modules(GTK3 REQUIRED IMPORTED_TARGET gtk+-3.0>=3.22)
-pkg_check_modules(exo REQUIRED IMPORTED_TARGET exo-2>=0.12)
+pkg_check_modules(exo REQUIRED IMPORTED_TARGET exo-2>=4.16)
 pkg_check_modules(garcon REQUIRED IMPORTED_TARGET garcon-1>=0.6.4)
-pkg_check_modules(libxfce4panel REQUIRED IMPORTED_TARGET libxfce4panel-2.0>=4.14)
-pkg_check_modules(libxfce4ui REQUIRED IMPORTED_TARGET libxfce4ui-2>=4.14)
-pkg_check_modules(libxfce4util REQUIRED IMPORTED_TARGET libxfce4util-1.0>=4.14)
-pkg_check_modules(libxfconf REQUIRED IMPORTED_TARGET libxfconf-0>=4.14)
+pkg_check_modules(libxfce4panel REQUIRED IMPORTED_TARGET libxfce4panel-2.0>=4.16)
+pkg_check_modules(libxfce4ui REQUIRED IMPORTED_TARGET libxfce4ui-2>=4.16)
+pkg_check_modules(libxfce4util REQUIRED IMPORTED_TARGET libxfce4util-1.0>=4.16)
+pkg_check_modules(libxfconf REQUIRED IMPORTED_TARGET libxfconf-0>=4.16)
 
 # plugin
 add_library(whiskermenu MODULE
@@ -37,6 +37,7 @@
 	query.cpp
 	recent-page.cpp
 	register-plugin.c
+	resizer.cpp
 	run-action.cpp
 	search-action.cpp
 	search-page.cpp

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -57,6 +57,7 @@
 			--from-code=UTF-8
 			--c++ --keyword=_
 			--sort-output
+			--no-wrap
 			--package-name='Whisker Menu'
 			--copyright-holder='Graeme Gott'
 			../panel-plugin/*.cpp ../panel-plugin/*.h
@@ -66,6 +67,7 @@
 			--from-code=UTF-8
 			-k --keyword=Name --keyword=Comment
 			--sort-output
+			--no-wrap
 			--package-name='Whisker Menu'
 			--copyright-holder='Graeme Gott'
 			../panel-plugin/whiskermenu.desktop.in

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.9.2-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 02 Mar 2025 12:01:40 -0800

xfce4-whiskermenu-plugin (2.9.2-1) unstable; urgency=medium

  * New upstream version 2.9.2
  * d/control: update standards version to 4.7.1.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 21 Feb 2025 14:27:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfce4-whiskermenu-plugin
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -15,7 +16,7 @@
                libxfce4util-dev,
                pkgconf
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://docs.xfce.org/panel-plugins/xfce4-whiskermenu-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DENABLE_ACCOUNTS_SERVICE=no

override_dh_installchangelogs:
	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## xfce4-whiskermenu-plugin 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-project(whiskermenu VERSION 2.9.2)
+project(whiskermenu VERSION 2.10.0)
 
 # options
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.10.0-0.1~mx23+1) mx; urgency=medium

  * New upstream version 2.10.0
  * Switch to meson build system.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 04 Sep 2025 12:35:46 -0700

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,10 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@
+	dh $@ --buildsystem=meson
 
-override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
-		-DENABLE_ACCOUNTS_SERVICE=no
+override_dh_meson:
+	dh_meson -- -D accountservice=false
 
 override_dh_installchangelogs:
 	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS

## xfce4-whiskermenu-plugin 2.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-project(whiskermenu VERSION 2.10.0)
+project(whiskermenu VERSION 2.10.1)
 
 # options
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.10.1-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Make it possible to build again on non-Linux platforms:
    - limit the libgtk-layer-shell-dev build dependency as linux-any
    - explicitly enable the layer shell support on Linux, and explicitly
      disable it on non-Linux platforms

  [ Yves-Alexis Perez ]
  * New upstream version 2.10.1
  * migrate to the meson build system

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 24 Feb 2026 14:09:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xfce4-whiskermenu-plugin
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -10,10 +9,11 @@
                libexo-2-dev,
                libgarcon-1-dev,
                libgtk-3-dev,
-               libgtk-layer-shell-dev,
+               libgtk-layer-shell-dev [linux-any],
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,
+               meson,
                pkgconf
 Rules-Requires-Root: no
 Standards-Version: 4.7.1

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/architecture.mk

ifeq (linux,$(DEB_HOST_ARCH_OS))
    EXTRA_MESON_ARGS += -Dgtk-layer-shell=enabled
else
    EXTRA_MESON_ARGS += -Dgtk-layer-shell=disabled
endif

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Daccountsservice=disabled \
		$(EXTRA_MESON_ARGS)

override_dh_installchangelogs:
	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS
